<template>
  <div
    class="multiselect"
    :class="{ 'multiselect--disabled': disabled }">
    <div class="multiselect__select"/>
    <div class="multiselect__tags">
      <span
        v-show="!value"
        class="multiselect__placeholder">{{ placeholder }}</span>
      <span
        v-show="value"
        class="multiselect__single">{{ value }}</span>
    </div>
    <select
      :value="value"
      @input="$emit('input', $event.target.value)">
      <option
        v-for="option in options"
        :key="option"
        :value="option">
        {{ option }}
      </option>
    </select>
  </div>
</template>

<script>
export default {
  name: 'NativeSelect',
  props: {
    value: {
      type: String,
      required: true,
    },
    options: {
      type: Array,
      default() { return []; },
    },
    placeholder: {
      type: String,
      default: '',
    },
    disabled: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="scss" scoped>
.multiselect {
  position: relative;
  select {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    opacity: 0;
  }
}
</style>
